<?php

/* *************************** */
// Register parent style

add_action( 'wp_enqueue_scripts', 'dansal_enqueue_styles' );
function dansal_enqueue_styles() {
    wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' );
}

# Add Child Theme Script
function dansal_custom_scripts() {
wp_register_script( 'dansal-custom-script', get_stylesheet_directory_uri() . '/js/common-scripts.js', array() , false, true );
wp_enqueue_script( 'dansal-custom-script' );

}
add_action( 'wp_enqueue_scripts', 'dansal_custom_scripts', 99 );


/* *************************** */
// Remove some features from parent theme
function dansal_remove_parent_theme_features() {

    remove_theme_support( 'post-formats' );
    
}
add_action( 'init', 'dansal_remove_parent_theme_features');


/* *************************** */
 // Unregister Sidebar
 
 function dansal_remove_some_widgets(){

	unregister_sidebar( 'sidebar-1' );

}
add_action( 'widgets_init', 'dansal_remove_some_widgets', 11 ); 


/* *************************** */
// Allow unformatted excerpt

function dansal_allowedtags() {
    // Add custom tags to this string
	
	
        return '<script>,<style>,<img>,<div>,<p>,<a>,<br>,<em>,<i>,<ol>,<ul>,<li>,<video>,<audio>,<h1>,<h2>,<h3>,<h4>,<h5>,<h6>,<blockquote>';
}


if ( ! function_exists( 'dansal_custom_wp_trim_excerpt' ) ) : 

    function dansal_custom_wp_trim_excerpt($dansal_excerpt) {
    global $post;
    $raw_excerpt = $dansal_excerpt;
	
        if ( '' == $dansal_excerpt ) {

            $dansal_excerpt = get_the_content('');
            $dansal_excerpt = strip_shortcodes( $dansal_excerpt );
            $dansal_excerpt = apply_filters('the_content', $dansal_excerpt);
            $dansal_excerpt = str_replace(']]>', ']]>', $dansal_excerpt);
            $dansal_excerpt = strip_tags($dansal_excerpt, dansal_allowedtags()); /*IF you need to allow just certain tags. Delete if all tags are allowed */

            //Set the excerpt word count and only break after sentence is complete.
                $excerpt_word_count = 55;
                $excerpt_length = apply_filters('excerpt_length', $excerpt_word_count);
                $tokens = array();
                $excerptOutput = '';
                $count = 0;

                // Divide the string into tokens; HTML tags, or words, followed by any whitespace
                preg_match_all('/(<[^>]+>|[^<>\s]+)\s*/u', $dansal_excerpt, $tokens);

                foreach ($tokens[0] as $token) { 

                    if ($count >= $excerpt_word_count && preg_match('/[\,\;\?\.\!]\s*$/uS', $token)) {
                    // Limit reached, continue until , ; ? . or ! occur at the end
                        $excerptOutput .= trim($token);
                        break;
                    }

                    // Add words to complete sentence
                    $count++;

                    // Append what's left of the token
                    $excerptOutput .= $token;
                }

            $dansal_excerpt = trim(force_balance_tags($excerptOutput));

                $excerpt_end = '<a class="more-link" href="'. esc_url( get_permalink() ) . '">' . sprintf(__( 'Continue Reading ...', 'dansal' ), get_the_title()) . '</a>';
                $excerpt_more = apply_filters('excerpt_more', ' ' . $excerpt_end); 

                
                // After the content
                $dansal_excerpt .= $excerpt_end; /*Add read more in new paragraph */

            return $dansal_excerpt;   

        }
        return apply_filters('dansal_custom_wp_trim_excerpt', $dansal_excerpt, $raw_excerpt);
    }

endif; 

if(!is_admin()){

remove_filter('get_the_excerpt', 'wp_trim_excerpt');
add_filter('get_the_excerpt', 'dansal_custom_wp_trim_excerpt');
}

?>